# Compile OSVVM Library
include ../OSVVM/osvvm.pro

library Testbench_Lib2
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib2_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze ../single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze ../dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Level_2/L2_Testbench_Lib2.vhd
analyze Type1_cfg.vhd

library Testbench_Lib3
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib3_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze FWFT_FIFO_cfg.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Level_2/L2_Testbench_Lib3.vhd
analyze Type1_cfg.vhd

library Testbench_Lib4
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib4_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze ../single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze ../dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze test_loopback.vhd
analyze Level_2/L2_Testbench_Lib4.vhd
analyze Type1_cfg.vhd

library Testbench_Lib5
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib5_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze FWFT_FIFO_cfg.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze test_loopback.vhd
analyze Level_2/L2_Testbench_Lib5.vhd
analyze Type1_cfg.vhd

# Compile
library Testbench_Lib1
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Testbench_Lib1_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze FWFT_FIFO_cfg.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_package.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Type2_package.vhd
analyze Type2_reader_interface.vhd
analyze Type2_writer_interface.vhd
analyze Type2_key_holder.vhd
analyze test_key_holder.vhd
analyze ScoreBoard_test_memory.vhd
analyze ScoreBoard_discovery_module.vhd
analyze Level_0/L0_rtps_handler_test1.vhd
analyze Level_0/L0_rtps_handler_test2.vhd
analyze Level_0/L0_rtps_discovery_module_test1_uc.vhd
analyze Level_0/L0_rtps_discovery_module_test1_mc.vhd
analyze Level_0/L0_rtps_discovery_module_test2.vhd
analyze Level_0/L0_rtps_discovery_module_test3.vhd
analyze Level_0/L0_rtps_discovery_module_test4.vhd
analyze Level_0/L0_rtps_discovery_module_test5.vhd
analyze Level_0/L0_rtps_discovery_module_test6.vhd
analyze Level_0/L0_rtps_out_test1.vhd
analyze Level_1/L1_rtps_discovery_module_test1.vhd
analyze Level_0/L0_mem_ctrl_test1.vhd
analyze Level_0/L0_rtps_reader_test1_vrk.vhd
analyze Level_0/L0_rtps_reader_test1_vbk.vhd
analyze Level_0/L0_rtps_reader_test2_vrk.vhd
analyze Level_0/L0_rtps_reader_test2_trk.vhd
analyze Level_0/L0_rtps_reader_test2_vbk.vhd
analyze Level_0/L0_rtps_reader_test2_tbk.vhd
analyze Level_0/L0_rtps_reader_test2_vrn.vhd
analyze Level_0/L0_rtps_reader_test3_a.vhd
analyze Level_0/L0_rtps_reader_test3_m.vhd
analyze Level_1/L1_rtps_reader_test1_vrk.vhd
analyze Level_1/L1_rtps_reader_test1_trk.vhd
analyze Level_0/L0_rtps_writer_test1_vrkdp.vhd
analyze Level_0/L0_rtps_writer_test1_vbkdp.vhd
analyze Level_0/L0_rtps_writer_test2_vrkdp.vhd
analyze Level_1/L1_rtps_writer_test1_vrkdp.vhd
analyze Level_1/L1_rtps_writer_test1_trkdp.vhd
analyze Level_1/L1_rtps_writer_test1_tbkdp.vhd
analyze Level_1/L1_rtps_writer_test1_vbkdp.vhd
analyze Level_1/L1_rtps_writer_test1_vrndp.vhd
analyze Level_1/L1_rtps_writer_test1_vrksp.vhd
analyze Level_1/L1_rtps_writer_test1_vrkdn.vhd
analyze Level_1/L1_rtps_writer_test1_trkdn.vhd
analyze Level_1/L1_rtps_writer_test2_vrkdn.vhd
analyze Level_1/L1_rtps_writer_test2_vrksn.vhd
analyze Level_1/L1_rtps_writer_test3_vrkdn.vhd
analyze Level_0/L0_dds_writer_test1_aik.vhd
analyze Level_0/L0_dds_writer_test1_ain.vhd
analyze Level_0/L0_dds_writer_test1_lik.vhd
analyze Level_0/L0_dds_writer_test1_afk.vhd
analyze Level_0/L0_dds_writer_test2_aik.vhd
analyze Level_0/L0_dds_writer_test3_aik.vhd
analyze Level_0/L0_dds_writer_test3_ain.vhd
analyze Level_0/L0_dds_writer_test4_aik.vhd
analyze Level_0/L0_dds_writer_test5_afk.vhd
analyze Level_0/L0_dds_reader_test1_arzkriu.vhd
analyze Level_0/L0_dds_reader_test1_lrzkriu.vhd
analyze Level_0/L0_dds_reader_test1_lbzkriu.vhd
analyze Level_0/L0_dds_reader_test1_abzkriu.vhd
analyze Level_0/L0_dds_reader_test1_arznriu.vhd
analyze Level_0/L0_dds_reader_test1_arzksiu.vhd
analyze Level_0/L0_dds_reader_test2_arpkriu.vhd
analyze Level_0/L0_dds_reader_test3_arzkriu.vhd
analyze Level_0/L0_dds_reader_test3_arzkrio.vhd
analyze Level_0/L0_dds_reader_test3_arzkrtu.vhd
analyze Level_0/L0_dds_reader_test3_arzkrto.vhd
analyze Level_0/L0_dds_reader_test3_arznriu.vhd
analyze Level_0/L0_dds_reader_test3_arzksto.vhd
analyze Level_0/L0_dds_reader_test4_arzkriu.vhd
analyze Level_0/L0_dds_reader_test4_arznriu.vhd
analyze Level_0/L0_dds_reader_test5_arzkriu.vhd
analyze Level_0/L0_dds_reader_test6_arzkriu.vhd
analyze Level_0/L0_dds_reader_test7_arzkriu.vhd
analyze Level_1/L1_Type1_interface_test1.vhd
analyze Level_1/L1_Type1_interface_test2.vhd
analyze Level_1/L1_Type1_key_holder_test1.vhd
analyze Level_1/L1_Type1_key_holder_test2.vhd
analyze Level_1/L1_Type2_interface_test1.vhd
analyze Level_1/L1_Type2_interface_test2.vhd
analyze Level_1/L1_Type2_key_holder_test1.vhd
analyze Level_1/L1_Type2_key_holder_test2.vhd
analyze Level_2/L2_Type1_test1.vhd
analyze Level_2/L2_Type1_test2.vhd
analyze test_cfg.vhd


simulate L0_rtps_handler_test1
simulate L0_rtps_handler_test2
simulate L0_rtps_out_test1
simulate L0_mem_ctrl_test1
simulate L0_rtps_discovery_module_test1_uc
simulate L0_rtps_discovery_module_test1_mc
simulate L0_rtps_discovery_module_test2
simulate L0_rtps_discovery_module_test3
simulate L0_rtps_discovery_module_test4
simulate L0_rtps_discovery_module_test5
simulate L0_rtps_discovery_module_test6
simulate L1_rtps_discovery_module_test1
simulate L0_rtps_reader_test1_vrk
simulate L0_rtps_reader_test1_vbk
simulate L0_rtps_reader_test2_vrk
simulate L0_rtps_reader_test2_trk
simulate L0_rtps_reader_test2_vbk
simulate L0_rtps_reader_test2_tbk
simulate L0_rtps_reader_test2_vrn
simulate L0_rtps_reader_test3_a
simulate L0_rtps_reader_test3_m
simulate L1_rtps_reader_test1_vrk
simulate L1_rtps_reader_test1_trk
simulate L0_rtps_writer_test1_vrkdp
simulate L0_rtps_writer_test1_vbkdp
simulate L0_rtps_writer_test2_vrkdp
simulate L1_rtps_writer_test1_vrkdp
simulate L1_rtps_writer_test1_trkdp
simulate L1_rtps_writer_test1_tbkdp
simulate L1_rtps_writer_test1_vbkdp
simulate L1_rtps_writer_test1_vrndp
simulate L1_rtps_writer_test1_vrksp
simulate L1_rtps_writer_test1_vrkdn
simulate L1_rtps_writer_test1_trkdn
simulate L1_rtps_writer_test2_vrkdn
simulate L1_rtps_writer_test2_vrksn
simulate L1_rtps_writer_test3_vrkdn
simulate L0_dds_writer_test1_aik
simulate L0_dds_writer_test1_ain
simulate L0_dds_writer_test1_lik
simulate L0_dds_writer_test1_afk
simulate L0_dds_writer_test2_aik
simulate L0_dds_writer_test3_aik
simulate L0_dds_writer_test3_ain
simulate L0_dds_writer_test4_aik
simulate L0_dds_writer_test5_afk
simulate L0_dds_reader_test1_arzkriu
simulate L0_dds_reader_test1_lrzkriu
simulate L0_dds_reader_test1_lbzkriu
simulate L0_dds_reader_test1_abzkriu
simulate L0_dds_reader_test1_arznriu
simulate L0_dds_reader_test1_arzksiu
simulate L0_dds_reader_test2_arpkriu
simulate L0_dds_reader_test3_arzkriu
simulate L0_dds_reader_test3_arzkrio
simulate L0_dds_reader_test3_arzkrtu
simulate L0_dds_reader_test3_arzkrto
simulate L0_dds_reader_test3_arznriu
simulate L0_dds_reader_test3_arzksto
simulate L0_dds_reader_test4_arzkriu
simulate L0_dds_reader_test4_arznriu
simulate L0_dds_reader_test5_arzkriu
simulate L0_dds_reader_test6_arzkriu
simulate L0_dds_reader_test7_arzkriu
simulate L1_Type1_interface_test1
simulate L1_Type1_interface_test2
simulate L1_Type1_key_holder_test1
simulate L1_Type1_key_holder_test2
simulate L1_Type2_interface_test1
simulate L1_Type2_interface_test2
simulate L1_Type2_key_holder_test1
simulate L1_Type2_key_holder_test2
simulate L2_Type1_test1
simulate L2_Type1_test2

# ROS
include ../ros2/Tests/ros_testbench.pro